## e2fsprogs 1.42.5-1.1maemo1

=== debian/changelog ===
e2fsprogs (1.42.5-1.1maemo1) unstable; urgency=low

  * Version modified for Maemo 5

 -- Pali Rohár <pali.rohar@gmail.com>  Wed, 12 Jun 2013 13:23:11 +0200

e2fsprogs (1.42.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * e2fsck-static, e2fsprogs: let preinst remove a symbolic link in
    /usr/share/doc, that should have been replaced with a directory since
    1.39+1.40-WIP-2006.10.02+dfsg-1. (Closes: #698879).

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 22 Feb 2013 23:14:59 +0100
