=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,12 @@
 
 # Allow distro-specific behaviour
 DISTRO :=$(shell sed -ne '/DISTRIB_ID/s/.*=//p' /etc/lsb-release 2>/dev/null || echo Debian)
-
-######## Ubuntu changes
-# no chance that pkg-create-dbgsym can cope with this package's manual construction of -dbg
-export NO_PKG_MANGLE=1
-# Set SKIP_DIETLIBC to not build-depend on dietlibc-dev, which is universe.
-export SKIP_DIETLIBC=yes
-########r
+SYS_BLKID_VER := $(shell dpkg-query -W libblkid1 | cut -f 2 | cut -b 1)
+ifeq ($(SYS_BLKID_VER),2)
+UTIL_LINUX_NG ?= yes
+endif
+
+SKIP_DIETLIBC := yes
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -30,11 +29,6 @@
 DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null)
-
-SYS_BLKID_VER := $(shell dpkg-query -W libblkid1:$(DEB_HOST_ARCH) | cut -f 2 | cut -b 1)
-ifeq ($(SYS_BLKID_VER),2)
-UTIL_LINUX_NG ?= yes
-endif
 
 # find the version for the main package, from changelog file
 MAIN_VERSION = $(shell head -n 1 debian/changelog | cut '-d ' -f 2 | sed 's/[()]//g')
@@ -236,3 +230,11 @@
 endif
 
 mrproper: clean
+	rm debian/control debian/e2fsprogs.shlibs.local
+
+debian/control: debian/control.in debian/rules
+	m4 $(M4_ARGS) < debian/control.in | grep -v ^REMOVE_ME$$ > $@
+
+debian/e2fsprogs.shlibs.local: debian/e2fsprogs.shlibs.local.in
+	m4 $(M4_ARGS) < debian/e2fsprogs.shlibs.local.in > $@
+
