=== debian/rules ===
--- 
+++ 
@@ -119,6 +119,10 @@
 DEFAULT_CFLAGS ?= -g -O2
 DEFAULT_LDFLAGS ?= -Wl,-Bsymbolic-functions
 
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+  DEFAULT_CFLAGS += -mthumb
+endif
+
 CFLAGS ?= $(shell if dpkg-buildflags > /dev/null 2>&1 ; then \
 	dpkg-buildflags --get CFLAGS; else echo $(DEFAULT_CFLAGS) ; fi)
 LDFLAGS ?= $(shell if dpkg-buildflags > /dev/null 2>&1 ; then \
@@ -235,6 +239,3 @@
 debian/control: debian/control.in debian/rules
 	m4 $(M4_ARGS) < debian/control.in | grep -v ^REMOVE_ME$$ > $@
 
-debian/e2fsprogs.shlibs.local: debian/e2fsprogs.shlibs.local.in
-	m4 $(M4_ARGS) < debian/e2fsprogs.shlibs.local.in > $@
-
